EnTT: entt::poly_inspector Struct Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
entt::poly_inspector Struct Reference

Inspector class used to infer the type of the virtual table. More...

`#include <poly.hpp>`

## Public Member Functions
template<typename Type>
| operator Type && () const
| Generic conversion operator (definition only).
template<std::size_t Member, typename... Args>
poly_inspector | invoke (Args &&...args) const
| Dummy invocation function (definition only).
template<std::size_t Member, typename... Args>
poly_inspector | invoke (Args &&...args)
| Dummy invocation function (definition only).

## Detailed Description

Inspector class used to infer the type of the virtual table.

Definition at line 17 of file poly.hpp.

## Member Function Documentation

## ◆ invoke() [1/2]

template<std::size_t Member, typename... Args>

poly_inspector entt::poly_inspector::invoke | ( | Args &&... | args | ) |
| nodiscard

Dummy invocation function (definition only).

Template Parameters

  Member | Index of the function to invoke.
  Args | Types of arguments to pass to the function.

Parameters

  args | The arguments to pass to the function.

Returns
  A poly inspector convertible to any type.

## ◆ invoke() [2/2]

template<std::size_t Member, typename... Args>

poly_inspector entt::poly_inspector::invoke | ( | Args &&... | args | ) | const
| nodiscard

Dummy invocation function (definition only).

Template Parameters

  Member | Index of the function to invoke.
  Args | Types of arguments to pass to the function.

Parameters

  args | The arguments to pass to the function.

Returns
  A poly inspector convertible to any type.

## ◆ operator Type &&()

template<typename Type>

entt::poly_inspector::operator Type && | ( |  | ) | const

Generic conversion operator (definition only).

Template Parameters

  Type | Type to which conversion is requested.

The documentation for this struct was generated from the following file:

- src/entt/poly/poly.hpp